- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSrLWriter Class Reference

Take an OSResult object and write a string that validates against OSrL. More...

`#include <OSrLWriter.h>`

Collaboration diagram for OSrLWriter:

[legend]
List of all members.

## Public Member Functions
| OSrLWriter ()
| Default constructor.
| ~OSrLWriter ()
| Class destructor.
std::string | writeOSrL (OSResult *theosresult)
| create an osrl string from an OSResult object
## Public Attributes
bool | m_bWriteBase64
| m_bWriteBase64 is set to true if we encode the linear constraint coefficients in base64 binary
bool | m_bWhiteSpace
| m_bWhiteSpace is set to true if we write white space in the file
std::string | m_sB64encoded
| m_sB64encoded is a string of data (start, colIdx, rowIdx, or values) from linear constraints coefficients encoded in base64 binary
## Private Attributes
OSResult * | m_OSResult
| m_OSResult is an object in the class OSResult, the data in m_OSResult are written to a string that validates against OSrL

## Detailed Description

Take an OSResult object and write a string that validates against OSrL.

Definition at line 30 of file OSrLWriter.h.

## Constructor & Destructor Documentation

OSrLWriter::OSrLWriter | ( |  | ) |

Default constructor.

Definition at line 34 of file OSrLWriter.cpp.

References m_bWhiteSpace, and m_bWriteBase64.

OSrLWriter::~OSrLWriter | ( |  | ) |

Class destructor.

Definition at line 39 of file OSrLWriter.cpp.

## Member Function Documentation

std::string OSrLWriter::writeOSrL | ( | OSResult * | theosresult | ) |

create an osrl string from an OSResult object

Parameters:

  | theosresult | is a pointer to an OSResult object

Returns:
  a string with the OSResult data that validates against the OSrL schema.

Definition at line 53 of file OSrLWriter.cpp.

References JobResult::actualStartTime, SystemResult::availableCPUNumber, SystemResult::availableCPUSpeed, SystemResult::availableDiskSpace, SystemResult::availableMemory, TimeMeasurement::category, ServiceResult::currentJobCount, ServiceResult::currentState, TimeMeasurement::description, CPUNumber::description, CPUSpeed::description, StorageCapacity::description, OtherResult::description, GeneralSubstatus::description, GeneralStatus::description, GeneralFileHeader::description, JobResult::endTime, GeneralFileHeader::fileCreator, OSResult::general, GeneralResult::generalStatus, GeneralResult::instanceName, OSResult::job, GeneralResult::jobID, GeneralFileHeader::licence, m_OSResult, GeneralResult::message, OtherResult::name, GeneralSubstatus::name, GeneralFileHeader::name, OtherResults::numberOfOtherResults, GeneralStatus::numberOfSubstatuses, TimingInformation::numberOfTimes, os_dtoa_format(), OS_SCHEMA_VERSION, OtherResults::other, JobResult::otherResults, ServiceResult::otherResults, SystemResult::otherResults, GeneralResult::otherResults, OSResult::resultHeader, JobResult::scheduledStartTime, OSResult::service, GeneralResult::serviceName, GeneralResult::serviceURI, ServiceResult::serviceUtilization, GeneralResult::solverInvoked, GeneralFileHeader::source, JobResult::status, JobResult::submitTime, GeneralStatus::substatus, OSResult::system, SystemResult::systemInformation, TimingInformation::time, ServiceResult::timeServiceStarted, GeneralResult::timeStamp, JobResult::timingInformation, ServiceResult::totalJobsSoFar, TimeMeasurement::type, GeneralStatus::type, TimeSpan::unit, CPUSpeed::unit, StorageCapacity::unit, JobResult::usedCPUNumber, JobResult::usedCPUSpeed, JobResult::usedDiskSpace, JobResult::usedMemory, TimeSpan::value, CPUNumber::value, CPUSpeed::value, StorageCapacity::value, OtherResult::value, and writeGeneralFileHeader().

Referenced by LindoSolver::buildSolverInstance(), KnitroSolver::buildSolverInstance(), IpoptSolver::buildSolverInstance(), CouenneSolver::buildSolverInstance(), CoinSolver::buildSolverInstance(), BonminSolver::buildSolverInstance(), IpoptProblem::finalize_solution(), LindoSolver::generateLindoModel(), CoinSolver::getCoinSolverType(), getJobID(), kill(), knock(), main(), LindoSolver::optimize(), LindoSolver::processConstraints(), LindoSolver::processNonlinearExpressions(), LindoSolver::processQuadraticTerms(), LindoSolver::processVariables(), retrieve(), send(), CoinSolver::setCoinPackedMatrix(), LindoSolver::setSolverOptions(), IpoptSolver::setSolverOptions(), CouenneSolver::setSolverOptions(), BonminSolver::setSolverOptions(), solve(), LindoSolver::solve(), KnitroSolver::solve(), IpoptSolver::solve(), CouenneSolver::solve(), CoinSolver::solve(), BonminSolver::solve(), CouenneSolver::writeResult(), CoinSolver::writeResult(), and BonminSolver::writeResult().

## Member Data Documentation

OSResult* OSrLWriter::m_OSResult`[private]`

m_OSResult is an object in the class OSResult, the data in m_OSResult are written to a string that validates against OSrL

Definition at line 36 of file OSrLWriter.h.

Referenced by writeOSrL().

bool OSrLWriter::m_bWriteBase64

m_bWriteBase64 is set to true if we encode the linear constraint coefficients in base64 binary

Definition at line 64 of file OSrLWriter.h.

Referenced by main(), and OSrLWriter().

bool OSrLWriter::m_bWhiteSpace

m_bWhiteSpace is set to true if we write white space in the file

Definition at line 68 of file OSrLWriter.h.

Referenced by main(), and OSrLWriter().

std::string OSrLWriter::m_sB64encoded

m_sB64encoded is a string of data (start, colIdx, rowIdx, or values) from linear constraints coefficients encoded in base64 binary

Definition at line 73 of file OSrLWriter.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSrLWriter.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSrLWriter.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSrLWriter.cpp